Subject: Re: Severe stomach pains in the upper colon (we think)

From: [email-masked] (Charles Swett)
Date: Sat, 22 Jul 1995 22:30:03 GMT

Adam Van Wirdum <[email-masked]> wrote:

><[email-masked]> wrote:
>>
>> 
>> Our son is suffering from severe stomach pains.  This has lead to severe clinical
>> depression and attempted suicide.   He has had many tests done on him
>> colonosocopy, contrast X-Rays, etc. - nothing!  However, the pain is real.  We have
>> tried cannibis (joint) this does not seem to help.
>> 
>> Has anyone heard of any remedies for cramping of the bowel, etc.
>> 
>> Any leads or information gratefully received.
>> 
>> Best regards, David

I have also had severe stomach pains, muscle spasms that are so strong
they are immobilizing and last for hours.  I don't know if this is
what your son has (I'm 43).  Although it is not an herbal remedy, I
have found that a drug called Reglan stops the spasms immediately and
completely.